# PODBC::Field Class Reference

`#include <podbc.h>`

Inheritance diagram for PODBC::Field:

List of all members.

## Public Member Functions

PBoolean | Post ()
| Post the Changes back to the Database.
PString | operator= (const PString &str)
| Returns a String representation of the field.
PString | AsString ()
| Display the Field Data as String.
void | SetValue (PString value)
| Set the Field Data.
void | SetDefaultValues ()
| Initialise/Set the Default values for Field of New Record.
PBoolean | DataFragment (PString &Buffer, PINDEX &fragment, SQLINTEGER &size)
| DataFragment Data is broken into fragment to be passed to the Database.

## Public Attributes

Bind | Data
| Data.
PwType | Type
| Data Field to ODBC Bind to.
FieldTypes | ODBCType
| pwlib Type for conversion
PString | Name
| Column.
PINDEX | col
| Column Name.
PBoolean | isReadOnly
| Column Attributes.
PBoolean | isNullable
| Is Field Readonly.
PBoolean | isAutoInc
| Allows Nulls.
int | Decimals
| Field AutoIncrements.
PBoolean | LongData
| Number of decimal places to Round.
Row * | row
| RecordHolder Reference.

## Classes

class | Bind
| SQL compliant Bound DataTypes. More...

## Member Function Documentation

PString PODBC::Field::AsString | ( |  | ) |

Display the Field Data as String.

PBoolean PODBC::Field::DataFragment | ( | PString & | Buffer,
|  | PINDEX & | fragment,
|  | SQLINTEGER & | size |
| ) |  |  |

DataFragment Data is broken into fragment to be passed to the Database.

PString PODBC::Field::operator= | ( | const PString & | str | ) |

Returns a String representation of the field.

PBoolean PODBC::Field::Post | ( |  | ) |

Post the Changes back to the Database.

void PODBC::Field::SetDefaultValues | ( |  | ) |

Initialise/Set the Default values for Field of New Record.

void PODBC::Field::SetValue | ( | PString | value | ) |

Set the Field Data.

Note a Post() must be called to post the changes back to the database.

## Member Data Documentation

PINDEX PODBC::Field::col

Column Name.

Bind PODBC::Field::Data

Data.

int PODBC::Field::Decimals

Field AutoIncrements.

PBoolean PODBC::Field::isAutoInc

Allows Nulls.

PBoolean PODBC::Field::isNullable

Is Field Readonly.

PBoolean PODBC::Field::isReadOnly

Column Attributes.

PBoolean PODBC::Field::LongData

Number of decimal places to Round.

PString PODBC::Field::Name

Column.

FieldTypes PODBC::Field::ODBCType

pwlib Type for conversion

Row* PODBC::Field::row

RecordHolder Reference.

PwType PODBC::Field::Type

Data Field to ODBC Bind to.

The documentation for this class was generated from the following file:

- podbc.h